Package org.firebirdsql.jdbc.metadata

## Class GetColumnPrivileges

- java.lang.Object
- - org.firebirdsql.jdbc.metadata.GetColumnPrivileges

    public final class GetColumnPrivileges
    extends java.lang.Object

Provides the implementation of `DatabaseMetaData.getColumnPrivileges(String, String, String, String)`.

This implementation returns all privileges, not just from the current user. The JDBC specification is not clear on this. Looking at the Schemata (SQL standard book 11) definition of the `COLUMN_PRIVILEGES` view, possibly this should be restricted to the current user and user `PUBLIC` (and maybe active roles). This may change in a future version.

Since:
  5
Author:
  Mark Rotteveel

### Field Summary

Fields
`protected DbMetadataMediator` `mediator`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static GetColumnPrivileges` `create​(DbMetadataMediator mediator)`
`java.sql.ResultSet` `getColumnPrivileges​(java.lang.String table, java.lang.String columnNamePattern)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mediator

    protected final DbMetadataMediator mediator

### Method Detail

#### getColumnPrivileges

    public java.sql.ResultSet getColumnPrivileges​(java.lang.String table,
                                                  java.lang.String columnNamePattern)
                                           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`
See Also:
  `DatabaseMetaData.getColumnPrivileges(String, String, String, String)`

#### create

    public static GetColumnPrivileges create​(DbMetadataMediator mediator)